package jp.mosp.payroll.common.action;

import jp.mosp.common.common.BaseVo;
import jp.mosp.payroll.base.PayrollAction;
import jp.mosp.payroll.common.vo.AdjustmentMenuVo;

public class AdjustmentMenuAction extends PayrollAction {

	/**
	 * 画面表示コマンド
	 */
//	public static final String CMD_SHOW = "P3000";

	/**
	 * Actionの初期化を行う。<br><br>
	 * 以下の処理を行う。
	 * <ul><li>
	 * {@link PayrollAction#PayrollAction()}
	 * </li></ul>
	 */
	public AdjustmentMenuAction() {
		super();
	}

	/* (non-Javadoc)
	 * @see jp.mosp.common.common.BaseAction#getSpecificVo()
	 */
	@Override
	protected BaseVo getSpecificVo() {
		return new AdjustmentMenuVo();
	}

	/**
	 * アクション
	 */
	public void action() throws Exception {
		// セッション保持情報の除去
		initStoredData();
		// VO取得及び設定
		prepareVo();
	}

}
